curl -X POST "https://api.joinformal.com/core.v1.ConnectorService/UpdateConnectorAiProviderV2" \
-H "X-API-KEY: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"example": "value"
}'{
"connectorAiProvider": {
"id": "<string>",
"connectorId": "<string>",
"config": {
"anthropic": {
"apiKey": "<string>"
},
"awsBedrock": {
"region": "<string>"
},
"azureAi": {
"apiKey": "<string>",
"endpoint": "<string>"
},
"formalAiSatellite": {},
"gemini": {
"apiKey": "<string>"
},
"googleVertexAi": {
"gcpProjectId": "<string>",
"region": "<string>"
},
"openai": {
"apiKey": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}curl -X POST "https://api.joinformal.com/core.v1.ConnectorService/UpdateConnectorAiProviderV2" \
-H "X-API-KEY: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"example": "value"
}'{
"connectorAiProvider": {
"id": "<string>",
"connectorId": "<string>",
"config": {
"anthropic": {
"apiKey": "<string>"
},
"awsBedrock": {
"region": "<string>"
},
"azureAi": {
"apiKey": "<string>",
"endpoint": "<string>"
},
"formalAiSatellite": {},
"gemini": {
"apiKey": "<string>"
},
"googleVertexAi": {
"gcpProjectId": "<string>",
"region": "<string>"
},
"openai": {
"apiKey": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}API key authentication. Get your API key from the Formal console.
Entity
Show child attributes
Success
Entity
Show child attributes
Was this page helpful?
Suggestions